
// 个人相关接口

const api = {
	// 获取地址列表带分页
	getAddressPageList: {
		url: '/rice_info/getAddressPageList',
		method: 'GET',
		limit : 500,
		auth : true,
	},
	// 获取购物车信息列表带分页
	getCartPageList: {
		url: '/rice_info/getCartPageList',
		method: 'GET',
		limit : 500,
		auth : true,
	},
	// 获取粉丝列表带分页
	getFansPageList: {
		url: '/rice_info/getFansPageList',
		method: 'GET',
		limit : 500,
		auth : true,
	},
	// 获取相关介绍
	getInfoIntroduce: {
		url: '/rice_info/getInfoIntroduce',
		method: 'GET',
		limit : 500,
		auth : true,
	},
	// 获取个人邀请码
	getInviteCode: {
		url: '/rice_info/getInviteCode',
		method: 'GET',
		limit : 500,
		auth : true,
	},
	// 获取订单列表带分页
	getOrderPageList: {
		url: '/rice_info/getOrderPageList',
		method: 'GET',
		auth : true,
	},
	// 获取流水记录带分页
	getWaterPageList: {
		url: '/rice_info/getWaterPageList',
		method: 'GET',
		auth : true,
	},
	// 获取相关介绍
	getInfoIntroduce: {
		url: '/rice_info/getInfoIntroduce',
		method: 'GET',
	},
	// 获取相关介绍详情
	getRiceInfo: {
		url: '/rice_info/getRiceNewsDetail',
		method: 'GET',
	},
	// 查询个人信息相关
	getRiceInfo: {
		url: '/rice_info/getRiceInfo',
		method: 'GET',
	},
}

export default api