

// 首页相关接口

const api = {
	// 获取首页轮播图
	getRiceBanner: {
		url: '/rice_index/getRiceBanner',
		method: 'GET', 
	},
	// 获取首页常规产品
	getRiceCommonProductList: {
		url: '/rice_index/getRiceCommonProductList',
		method: 'GET', 
	},
	// 获取首页跳转图标
	getRiceIconList: {
		url: '/rice_index/getRiceIconList',
		method: 'GET', 
	},
	// 获取首页新闻详情
	getRiceNewsDetail: {
		url: '/rice_index/getCommonNewsDetail',
		method: 'GET', 
	},
	// 获取首页新闻列表
	getRiceNewsList: {
		url: '/rice_index/getRiceNewsList',
		method: 'GET', 
	},
	// 获取首页公告列表
	getRiceNoticeList: {
		url: '/rice_index/getRiceNoticeList',
		method: 'GET', 
	},
	// 获取首页商品详情
	getRiceProductDetail: {
		url: '/rice_index/getRiceProductDetail',
		method: 'GET', 
	},
	// 获取首页体验产品
	getRiceProductList: {
		url: '/rice_index/getRiceProductList',
		method: 'GET', 
	},
	// 查询分类接口
	getCategoryList: {
		url: '/rice_index/getCategoryList',
		method: 'GET',
	},
	// 获取分类分页商品列表接口
	getClassShopPageList: {
		url: '/rice_index/getClassShopPageList',
		method: 'GET',
	},
	// 加入购物车
	addCart: {
		url: '/rice_index/addCart',
		method: 'GET',
		auth : true,
	},
	// 创建订单
	createOrder: {
		url: '/rice_index/createOrder',
		method: 'GET',
		auth : true,
	},
}

export default api